Skip to main content
PATCH
/
connections
/
{connectionId}
Edit a connection
curl --request PATCH \
  --url https://api.nango.dev/connections/{connectionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "tags": {}
}'
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://nango.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Requires an API key with the environment:connections:write scope. Learn more about API key scopes.

Authorizations

Authorization
string
header
required

The secret key from your Nango environment.

Path Parameters

connectionId
string
required

The connection ID used to create the connection.

Query Parameters

provider_config_key
string
required

The integration ID used to create the connection (aka Unique Key).

Body

application/json
tags
object

Connection tags (key/value strings). Keys are normalized to lowercase.

end_user
object
deprecated

Deprecated, use tags instead

Response

Successfully updated the connection

success
boolean